Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.util
Class HexDump

    java.lang.Object
      org.apache.poi.util.HexDump

public class HexDump
extends java.lang.Object

dump data in hexadecimal format; derived from a HexDump utility I wrote in June 2001.

Author:
  Marc Johnson, Glen Stampoultzis (glens at apache.org)

Field Summary
`static java.lang.String` | `EOL`

Method Summary
`static java.lang.String` | `dump(byte[] data, long offset, int index)` dump an array of bytes to a String
`static void` | `dump(byte[] data, long offset, java.io.OutputStream stream, int index)` dump an array of bytes to an OutputStream
`static void` | `dump(byte[] data, long offset, java.io.OutputStream stream, int index, int length)` dump an array of bytes to an OutputStream
`static void` | `dump(java.io.InputStream in, java.io.PrintStream out, int start, int bytesToDump)` Dumps `bytesToDump` bytes to an output stream.
`static java.lang.String` | `toHex(byte value)` Converts the parameter to a hex value.
`static java.lang.String` | `toHex(byte[] value)` Converts the parameter to a hex value.
`static java.lang.String` | `toHex(int value)` Converts the parameter to a hex value.
`static java.lang.String` | `toHex(short value)` Converts the parameter to a hex value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOL

    public static final java.lang.String EOL

Method Detail

### dump

    public static void dump(byte[] data,
                            long offset,
                            java.io.OutputStream stream,
                            int index,
                            int length)
                     throws java.io.IOException,
                            java.lang.ArrayIndexOutOfBoundsException,
                            java.lang.IllegalArgumentException

  dump an array of bytes to an OutputStream

  Parameters:
    `data` - the byte array to be dumped
    `offset` - its offset, whatever that might mean
    `stream` - the OutputStream to which the data is to be written
    `index` - initial index into the byte array
    `length` - number of characters to output
  Throws:
    `java.io.IOException` - is thrown if anything goes wrong writing the data to stream
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is outside the data array's bounds
    `java.lang.IllegalArgumentException` - if the output stream is null

### dump

    public static void dump(byte[] data,
                            long offset,
                            java.io.OutputStream stream,
                            int index)
                     throws java.io.IOException,
                            java.lang.ArrayIndexOutOfBoundsException,
                            java.lang.IllegalArgumentException

  dump an array of bytes to an OutputStream

  Parameters:
    `data` - the byte array to be dumped
    `offset` - its offset, whatever that might mean
    `stream` - the OutputStream to which the data is to be written
    `index` - initial index into the byte array
  Throws:
    `java.io.IOException` - is thrown if anything goes wrong writing the data to stream
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is outside the data array's bounds
    `java.lang.IllegalArgumentException` - if the output stream is null

### dump

    public static java.lang.String dump(byte[] data,
                                        long offset,
                                        int index)

  dump an array of bytes to a String

  Parameters:
    `data` - the byte array to be dumped
    `offset` - its offset, whatever that might mean
    `index` - initial index into the byte array
  Returns:
    output string
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is outside the data array's bounds

### toHex

    public static java.lang.String toHex(byte[] value)

  Converts the parameter to a hex value.

  Parameters:
    `value` - The value to convert
  Returns:
    A String representing the array of bytes

### toHex

    public static java.lang.String toHex(short value)

  Converts the parameter to a hex value.

  Parameters:
    `value` - The value to convert
  Returns:
    The result right padded with 0

### toHex

    public static java.lang.String toHex(byte value)

  Converts the parameter to a hex value.

  Parameters:
    `value` - The value to convert
  Returns:
    The result right padded with 0

### toHex

    public static java.lang.String toHex(int value)

  Converts the parameter to a hex value.

  Parameters:
    `value` - The value to convert
  Returns:
    The result right padded with 0

### dump

    public static void dump(java.io.InputStream in,
                            java.io.PrintStream out,
                            int start,
                            int bytesToDump)
                     throws java.io.IOException

  Dumps `bytesToDump` bytes to an output stream.

  Parameters:
    `in` - The stream to read from
    `out` - The output stream
    `start` - The index to use as the starting position for the left hand side label
    `bytesToDump` - The number of bytes to output. Use -1 to read until the end of file.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.